package com.hungraim.ltc.governance.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hungraim.ltc.pojo.entity.account.ChPunchDetailsVO;
import com.hungraim.ltc.pojo.entity.governance.ChSrvBuildBed;
import com.hungraim.ltc.pojo.vo.disable.ChSrvTaskDetailVo;
import com.hungraim.ltc.pojo.vo.governance.BuildBedDetailVo;
import com.hungraim.ltc.pojo.vo.governance.BuildBedSearchReq;
import com.hungraim.ltc.util.Result;

import java.text.ParseException;
import java.util.Date;

/**
 * @author jiaguokai
 */
public interface IBuildBedService extends IService<ChSrvBuildBed> {
    Result searchOrgBed(BuildBedSearchReq req);


    void saveOrUpdateBuildBed(BuildBedDetailVo buildBedDetailVo);

    /**
     * 查询建床详情
     *
     * @param buildBedId 建床详情id
     * @return 返回建床详情
     */
    BuildBedDetailVo getBuildBedDetail(Integer buildBedId);

    /**
     * 打卡查询
     * @param page
     * @param
     * @return
     */
    Page<ChSrvTaskDetailVo> chSrvTaskDetailQuery(Page<ChSrvTaskDetailVo> page,ChSrvTaskDetailVo vo) throws ParseException;

    /**
     * 删除打卡数据
     * @param taskDetailId
     * @param userName
     * @return
     */
    int chSrvTaskDetailDelete(Long taskDetailId, String userName);

    /**
     * 打卡详情
     * @param taskDetailId
     */
    ChPunchDetailsVO chPunchDetailsQuery(Long taskDetailId,String sevStarTime,String sevEndTime);
}
